package com.ruoyi.device.mqtt.domain.encoder;

import com.ruoyi.device.mqtt.domain.BaseJsonBody;

/**
 * 报税口下行数据
 *
 * @author lwm
 */
public class TaxDataDown extends BaseJsonBody
{

    /** 按钮操作 */
    private String buttonType;

    /** 接口号 */
    private String interfaceNo;

    /** 枪号 */
    private Integer gunNo;

    /** 是否启用新国标（1:启用，0:禁用） */
    private Integer newNationalStandard;

    /** 新国标报税口 */
    private Integer newNationalStandardTaxNo;

    /** 日期：年-月-日 */
    private String queryDate;

    public TaxDataDown()
    {
        super();
    }

    public String getButtonType()
    {
        return buttonType;
    }

    public void setButtonType(String buttonType)
    {
        this.buttonType = buttonType;
    }

    public String getInterfaceNo()
    {
        return interfaceNo;
    }

    public void setInterfaceNo(String interfaceNo)
    {
        this.interfaceNo = interfaceNo;
    }

    public Integer getGunNo()
    {
        return gunNo;
    }

    public void setGunNo(Integer gunNo)
    {
        this.gunNo = gunNo;
    }

    public Integer getNewNationalStandard()
    {
        return newNationalStandard;
    }

    public void setNewNationalStandard(Integer newNationalStandard)
    {
        this.newNationalStandard = newNationalStandard;
    }

    public Integer getNewNationalStandardTaxNo()
    {
        return newNationalStandardTaxNo;
    }

    public void setNewNationalStandardTaxNo(Integer newNationalStandardTaxNo)
    {
        this.newNationalStandardTaxNo = newNationalStandardTaxNo;
    }

    public String getQueryDate()
    {
        return queryDate;
    }

    public void setQueryDate(String queryDate)
    {
        this.queryDate = queryDate;
    }

}
